dvi2bitmap dvi2bitmap1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions | Variables
dvi2bitmap.cc File Reference
`#include <config.h>`
`#include <vector>`
`#include <iostream>`
`#include <string>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <cstdarg>`
`#include <cassert>`
`#include <cstring>`
`#include <bitset>`
`#include <unistd.h>`
`#include "getopt_long.h"`
`#include "DviFile.h"`
`#include "PkFont.h"`
`#include "Bitmap.h"`
`#include "BitmapImage.h"`
`#include "verbosity.h"`
`#include "PageRange.h"`
`#include "Util.h"`
`#include "stringstream.h"`
`#include "version.h"`
`#include "KarlPathSearcher.h"`
`#include "PNGBitmap.h"`

## Classes
struct | bitmap_info

## Macros
#define | DVI2BITMAPURL "http://www.astro.gla.ac.uk/users/norman/star/dvi2bitmap/"
#define | MM oneInch * 0.03937
#define | OPT_PIPE 1
#define | SNPRINTF std::snprintf

## Functions
int | getsubopt (char **options, char *const *tokens, char **value)
int | main (int argc, char **argv)

## Variables
verbosities | verbosity = normal
int | bitmapH = -1
int | bitmapW = -1
int | resolution = PkFont::dpiBase()
int | oneInch = resolution

## Macro Definition Documentation

#define DVI2BITMAPURL "http://www.astro.gla.ac.uk/users/norman/star/dvi2bitmap/"

Referenced by main().

#define MM oneInch * 0.03937

Referenced by main().

#define OPT_PIPE 1

Referenced by main().

#define SNPRINTF std::snprintf

## Function Documentation

int getsubopt | ( | char ** | options,
|  | char *const * | tokens,
|  | char ** | value
| ) |  |

References NULL.

Referenced by main().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

References PageRange::addSpec(), Bitmap::All, DviFile::FontSet::begin(), PkGlyph::bitmap(), bitmap_info::bitmap_scale_factor, bitmapH, bitmapW, Bitmap::BitmapColour_s::blue, Bitmap::blur(), bitmap_info::blur_bitmap, Bitmap::Bottom, Bitmap::boundingBox(), PkGlyph::characterChar(), PkGlyph::characterCode(), DviFileSetChar::charno(), Bitmap::clear(), DviFile::convertUnits(), DviFilePage::count, Bitmap::crop(), bitmap_info::crop_bitmap, Bitmap::cropDefault(), DviFile::currH(), DviFile::currV(), debug, DviFileEvent::debug(), DEFAULT_MFMODE, DEFAULT_RESOLUTION, DEFAULT_TEXMFCNF, PkFont::dpiBase(), PkFont::dpiScaled(), DVI2BITMAPURL, Bitmap::empty(), DviFile::FontSet::end(), DviFile::eof(), everything, DviFile::filename(), BitmapImage::firstBitmapImageFormat(), DviFileFontChange::font, FONT_GEN_TEMPLATE, PkFont::fontFilename(), PkFont::fontgenCommand(), BitmapImage::FURTHERINFO, DviFile::getEndOfPage(), DviFile::getEvent(), DviFile::getFallbackFont(), DviFile::getFontSet(), getopt_long(), getsubopt(), PkFont::glyph(), Bitmap::BitmapColour_s::green, PkGlyph::h(), DviFileSetRule::h, DviFile::haveReadPostamble(), PkGlyph::hoff(), DviFile::hSize(), BitmapImage::INPUTFILENAME, PageRange::isSelected(), DviFilePage::isStart, Bitmap::Left, PkFont::loaded(), Bitmap::logBitmapInfo(), DviFile::magnification(), PkFont::magnification(), bitmap_info::make_transparent, Bitmap::mark(), MM, option::name, PkFont::name(), BitmapImage::nextBitmapImageFormat(), normal, NULL, bitmap_info::ofile_name, bitmap_info::ofile_pattern, bitmap_info::ofile_type, oneInch, OPT_PIPE, Bitmap::overlaps(), Bitmap::paint(), Util::parseRGB(), DviError::print(), DviBug::print(), progname, quiet, Bitmap::BitmapColour_s::red, DviFileEvent::release(), resolution, Bitmap::Right, Bitmap::rule(), Bitmap::scaleDown(), Bitmap::setDefaultRGB(), PkFont::setFontgen(), PkFont::setFontgenCommand(), PkFont::setFontSearchCommand(), PkFont::setFontSearchKpse(), PkFont::setFontSearchPath(), BitmapImage::setInfo(), PkFont::setMissingFontMode(), KarlPathSearcher::setProgramName(), PkFont::setResolution(), Bitmap::setRGB(), Bitmap::setTransparent(), silent, BitmapImage::SOFTWAREVERSION, DviFileSpecial::specialString, SS_STRING, SSTREAM, Bitmap::strut(), BitmapImage::supportedBitmapImage(), Util::tokenise_string(), Bitmap::Top, DviFile::unit_pixels, DviFile::unit_pt, DviFile::unitString(), DviFile::unitType(), Usage(), Util::verbosity(), DviFilePosition::verbosity(), PkRasterdata::verbosity(), BitmapImage::verbosity(), InputByteStream::verbosity(), Bitmap::verbosity(), verbosity, PkFont::verbosity(), DviFile::verbosity(), version_string, KarlPathSearcher::version_string(), PNGBitmap::version_string(), PkGlyph::voff(), DviFile::vSize(), PkGlyph::w(), DviFileSetRule::w, and Bitmap::write().

## Variable Documentation

int bitmapH = -1

Referenced by main().

int bitmapW = -1

Referenced by main().

int oneInch = resolution

Referenced by main().

int resolution = PkFont::dpiBase()

Referenced by main().

verbosities verbosity = normal

Referenced by main().